com.buschmais.jqassistant.plugin.java.api.model

## Interface InterfaceTypeDescriptor

- All Superinterfaces:
    AbstractDescriptor, AccessModifierDescriptor, AnnotatedDescriptor, ClassFileDescriptor, DependentDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, JavaDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, PackageMemberDescriptor, TypeDescriptor

      @Label(value="Interface")
      public interface InterfaceTypeDescriptor
      extends ClassFileDescriptor

  Denotes an interface type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor

      `TypeDescriptor.Declares`

  - ### Method Summary

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor

      `getDeclaredFields, getDeclaredInnerClasses, getDeclaredMembers, getDeclaredMethods, getInterfaces, getRequiredBy, getSuperClass, setRequiredBy, setSuperClass`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.DependentDescriptor

      `getDependencies`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AnnotatedDescriptor

      `getAnnotatedBy`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AccessModifierDescriptor

      `getVisibility, isFinal, isStatic, isSynthetic, setFinal, setStatic, setSynthetic, setVisibility`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AbstractDescriptor

      `isAbstract, setAbstract`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

Copyright © 2015 buschmais GbR. All rights reserved.